package com.sun.jmx.snmp.agent;

import com.sun.jmx.snmp.SnmpPdu;
import com.sun.jmx.snmp.SnmpEngine;
import java.util.Vector;
import com.sun.jmx.snmp.SnmpVarBind;
import java.util.Enumeration;

public interface SnmpMibRequest
{
    public abstract Enumeration<SnmpVarBind> getElements();
    
    public abstract Vector<SnmpVarBind> getSubList();
    
    public abstract int getVersion();
    
    public abstract int getRequestPduVersion();
    
    public abstract SnmpEngine getEngine();
    
    public abstract String getPrincipal();
    
    public abstract int getSecurityLevel();
    
    public abstract int getSecurityModel();
    
    public abstract byte[] getContextName();
    
    public abstract byte[] getAccessContextName();
    
    public abstract Object getUserData();
    
    public abstract int getVarIndex(SnmpVarBind p0);
    
    public abstract void addVarBind(SnmpVarBind p0);
    
    public abstract int getSize();
    
    public abstract SnmpPdu getPdu();
}
